MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::ResultInfo Class Reference

This is a base class for all of Compute's result types. More...

`#include <compute.h>`

Inheritance diagram for sc::ResultInfo:

List of all members.

## Public Member Functions

| ResultInfo (Compute *c)
int & | compute ()
const int & | compute () const
int | compute (int c)
int & | computed ()
const int & | computed () const
virtual int | needed () const

## Protected Member Functions

virtual void | update ()
| ResultInfo (StateIn &, Compute *)
| ResultInfo (const ResultInfo &, Compute *)
virtual void | save_data_state (StateOut &)
virtual void | restore_state (StateIn &)
ResultInfo & | operator= (const ResultInfo &)

## Protected Attributes

int | _compute
int | _computed
Compute * | _c

## Detailed Description

This is a base class for all of Compute's result types.

Usually Result<Type> will be used to create a result that has a particular datum associated with it, however a ResultInfo can also be declared to keep track of datum's for which it is awkward to use Result_dec.

The documentation for this class was generated from the following file:

- compute.h